### Enumeration

# Gio TlsRehandshakeMode

deprecated: 2.60. since: 2.28

#### Declaration

    enum Gio.TlsRehandshakeMode

#### Description [src]

When to allow rehandshaking. See g_tls_connection_set_rehandshake_mode().

Available since: 2.28

Deprecated since: 2.60.

Changing the rehandshake mode is no longer required for compatibility. Also, rehandshaking has been removed from the TLS protocol in TLS 1.3.

#### Members

Name | Description
--- | ---
`G_TLS_REHANDSHAKE_NEVER` | Never allow rehandshaking.
`G_TLS_REHANDSHAKE_SAFELY` | Allow safe rehandshaking only.
`G_TLS_REHANDSHAKE_UNSAFELY` | Allow unsafe rehandshaking.